<?php

// API routes  for phpdeveloper
Route::prefix('{guard}/phpdeveloper')->group(function () {
    Route::get('phpdeveloper/form/{element}', 'PhpdeveloperAPIController@form');
    Route::resource('phpdeveloper', 'PhpdeveloperAPIController');
});

// Public routes for phpdeveloper
Route::get('phpdevelopers/', 'PhpdeveloperPublicController@index');
Route::get('phpdevelopers/{slug?}', 'PhpdeveloperPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for phpdevelopers
            Route::prefix('{guard}/phpdeveloper')->group(function () {
                Route::get('phpdeveloper/form/{element}', 'PhpdeveloperAPIController@form');
                Route::apiResource('phpdeveloper', 'PhpdeveloperAPIController');
            });
            // Public routes for phpdevelopers
            Route::get('phpdeveloper/Phpdeveloper', 'PhpdeveloperPublicController@getPhpdeveloper');
        }
    );
}

