<?php

namespace Phpdeveloper\Phpdeveloper\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PhpdeveloperTransformer extends TransformerAbstract
{
    public function transform(\Phpdeveloper\Phpdeveloper\Models\Phpdeveloper $phpdeveloper)
    {
        return [
            'id'                => $phpdeveloper->getRouteKey(),
            'key'               => [
                'public'    => $phpdeveloper->getPublicKey(),
                'route'     => $phpdeveloper->getRouteKey(),
            ], 
            'title'             => $phpdeveloper->title,
            'url'               => [
                'public'    => trans_url('phpdeveloper/'.$phpdeveloper->getPublicKey()),
                'user'      => guard_url('phpdeveloper/phpdeveloper/'.$phpdeveloper->getRouteKey()),
            ], 
            'status'            => trans('app.'.$phpdeveloper->status),
            'created_at'        => format_date($phpdeveloper->created_at),
            'updated_at'        => format_date($phpdeveloper->updated_at),
        ];
    }
}